package cd.casic.plugin.function;

import org.springframework.context.ApplicationContext;

import java.util.Map;

/**
 * @description: TODO
 * @author: mianbin
 * @date: 2025/5/12 23:52
 * @version: 1.0
 */
public interface FinderRegistry {
    Map<String, Object> getFinders();

    void register(String pluginId, ApplicationContext pluginContext);

    void unregister(String pluginId);
}
